# Serving HTML through API Gateway for AWS Lambda
service: serve-dynamic-html-via-http

frameworkVersion: "3"

provider:
  name: aws
  region: ${env:AWS_REGION}
  runtime: nodejs18.x
  environment:
    APP_URL: ${env:APP_URL}
    GL_ENV: ${env:CI_ENVIRONMENT_SLUG}
  iam:
    role:
      name: ${sls:stage}-webui-role  

functions:
  webui:
    handler: handler.webui
    events:
      - httpApi:
          method: get
          path: /webui

plugins:
  - serverless-esbuild
  - serverless-stack-output # Allows us to output endpoint url to json file

custom:
  output:
    handler: handler.webui
    file: webstack.json